package com.sec.cloudprint.extrarequest.plugin;

import com.sec.cloudprint.extrarequest.plugin.SCPPrinter;
import com.sec.cloudprint.extrarequest.plugin.ErrorCode;
import com.sec.cloudprint.extrarequest.plugin.SCPPrinterCapability;

oneway interface ISCPCallback {
    void onPrinterListReceived(in List<SCPPrinter> printerList);
    void onPrinterCapabilityReceived(in SCPPrinterCapability capability);
	void onJobSubmitionStart();
	void onError(in ErrorCode errorCode, in String error);
	void onJobSubmitionComplete();
}
